## geany 0.21

=== debian/changelog ===
geany (0.21-1ubuntu1) precise; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.patch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.patch:
       + use x-terminal-emulator as terminal
    - debian/control
       + Add breaks on geany-plugins-common << 0.20
  * Also fixes bugs:
    - Filter for MATLAB/Octave files filters everythign (LP: 885505)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 10 Dec 2011 07:43:26 +0800

geany (0.21-1) unstable; urgency=low

  * Imported Upstream version 0.21
  * Refresh filetypes patch against 0.21
  * Fix Description (thanks lintian!)
  * Standards-Version: 3.9.2
  * dpatch → 3.0 (quilt)
  * Switch to new dh-style debian/rules
  * Add a patch to search for plugins in both, multiarch and
    non-multiarch folders
  * Add misc:Pre-Depends to Pre-Depends for multiarch
  * Generate geany:Provides with GEANY_ABI_VERSION and GEANY_API_VERSION
  * Split arch independent parts into geany-common
  * Set maintainer to pkg-geany
  * Set Vcs-* headers for pkg-geany
  * Drop README.source, we're using standard 3.0 quilt now

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Nov 2011 12:59:57 +0100

geany (0.20-1.1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.dpatch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.dpatch:
       + use x-terminal-emulator as terminal
    - debian/control
       + add geany-plugins to Suggests
       + Add breaks on geany-plugins-common << 0.20

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 01 Jul 2011 15:41:50 +0800

geany (0.20-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621289).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 12:08:16 +0200

geany (0.20-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.dpatch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.dpatch:
       + use x-terminal-emulator as terminal
    - debian/control
       + add geany-plugins to Suggests
       + Add breaks on geany-plugins-common

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 28 May 2011 19:49:19 +0200

geany (0.20-1) unstable; urgency=low

  * New upstream release (Closes: #614763, #602073)

 -- Damián Viano <des@debian.org>  Sat, 26 Feb 2011 18:33:07 -0300

geany (0.20-0ubuntu2) natty; urgency=low

  * debian/patches/20_use_evince_viewer.dpatch:
    - use evince as viewer for pdf and dvi files (LP: #398708)
  * debian/patches/20_use_x_terminal_emulator.dpatch:
    - use x-terminal-emulator as terminal (LP: #282972)
      thanks to levu for the patch.
  * debian/control
    - add geany-plugins to Suggests (LP: #709691)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 11 Mar 2011 20:06:54 +0100

geany (0.20-0ubuntu1) natty; urgency=low

  * New upstream release
  * Refresh 20_add_debian_specific_filetypes.dpatch
  * Bump Breaks version for geany-plugins-common

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 08 Jan 2011 17:29:46 +0800

geany (0.19.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + debian/control: Add Breaks geany-plugins-common (<< 0.19)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 14 Sep 2010 00:37:07 +0800

geany (0.19.1-1) unstable; urgency=low

  * New upstream release (Closes: #590284)
    - Thanks to Colomban Wendling for pursuing #590284
  * add a sed hack to fix dlsearchpath for broken libtool used upstream

 -- Damián Viano <des@debian.org>  Mon, 30 Aug 2010 18:09:16 -0300

geany (0.19-1ubuntu1) maverick; urgency=low

  * debian/control: Breaks geany-plugins-common (<< 0.19), as they are
    incompatible

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 07 Aug 2010 03:23:12 +0800

geany (0.19-1) unstable; urgency=low

  * New upstream release (Closes: #585849, #580911, #542785)
  * add 20_use_sensible_browser to change the default browser (Closes: #573454)

 -- Damián Viano <des@debian.org>  Thu, 24 Jun 2010 21:35:05 -0300

geany (0.18-1) unstable; urgency=low

  * New upstream release

 -- Damian Viano <des@debian.org>  Mon, 17 Aug 2009 17:16:21 -0300

geany (0.17-1) unstable; urgency=low

  * New upstream release
  * 20_add_debdiff_as_diff_type.dpatch renamed as
    20_add_debian_specific_filetypes.dpatch, 
    - add .dpatch as a diff filetype
    - add control as a conf filetype
  * 20_change_gpl_location.dpatch freshen
  * add 20_debian_control_tags.dpatch better handling of debian/control files.
    Thanks to Enrico Tröger. (Closes: #520776)
  * debian/copyright Add Frank Lanitz, update years

 -- Damián Viano <des@debian.org>  Fri, 29 May 2009 21:22:54 -0300
