=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz
http://download.geany.org/geany-(.*)\.tar\.gz
