## geany 0.21.dfsg

=== wscript ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # WAF build script - this file is part of Geany, a fast and lightweight IDE
 #
-# Copyright 2008-2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2008-2010 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+# Copyright 2008-2011 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2008-2011 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 5400 2010-11-11 17:48:21Z eht16 $
+# $Id: wscript 5982 2011-10-02 10:59:22Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -52,16 +52,18 @@
 
 
 APPNAME = 'geany'
-VERSION = '0.20'
+VERSION = '0.21'
 LINGUAS_FILE = 'po/LINGUAS'
 
 top = '.'
 out = '_build_'
 
 
+mio_sources = set(['tagmanager/mio/mio.c'])
+
 tagmanager_sources = set([
     'tagmanager/args.c', 'tagmanager/abc.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
-    'tagmanager/basic.c', 'tagmanager/c.c',
+    'tagmanager/basic.c', 'tagmanager/c.c', 'tagmanager/cobol.c',
     'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
     'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
     'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
@@ -77,29 +79,7 @@
     'tagmanager/tm_tag.c', 'tagmanager/tm_tagmanager.c', 'tagmanager/tm_work_object.c',
     'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/verilog.c', 'tagmanager/vstring.c'])
 
-scintilla_sources = set([
-    'scintilla/AutoComplete.cxx', 'scintilla/CallTip.cxx', 'scintilla/CellBuffer.cxx',
-    'scintilla/CharClassify.cxx', 'scintilla/ContractionState.cxx', 'scintilla/Decoration.cxx',
-    'scintilla/DocumentAccessor.cxx', 'scintilla/Document.cxx', 'scintilla/Editor.cxx',
-    'scintilla/ExternalLexer.cxx',  'scintilla/Indicator.cxx',  'scintilla/KeyMap.cxx',
-    'scintilla/KeyWords.cxx',
-    'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
-    'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
-    'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx', 'scintilla/LexErlang.cxx', 'scintilla/LexForth.cxx',
-    'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx', 'scintilla/LexLisp.cxx',
-    'scintilla/LexLua.cxx', 'scintilla/LexMarkdown.cxx', 'scintilla/LexMatlab.cxx',
-    'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
-    'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
-    'scintilla/LexR.cxx', 'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx',
-    'scintilla/LexTCL.cxx', 'scintilla/LexTxt2tags.cxx',
-    'scintilla/LexVHDL.cxx', 'scintilla/LexVerilog.cxx', 'scintilla/LexYAML.cxx',
-    'scintilla/LineMarker.cxx', 'scintilla/PerLine.cxx',
-    'scintilla/PlatGTK.cxx',
-    'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
-    'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
-    'scintilla/scintilla-marshal.c', 'scintilla/Selection.cxx', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
-    'scintilla/UniConversion.cxx', 'scintilla/ViewStyle.cxx', 'scintilla/WindowAccessor.cxx',
-    'scintilla/XPM.cxx'])
+scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])
 
 geany_sources = set([
     'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
@@ -161,16 +141,13 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
+    conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
-    have_gtk_210 = False
-    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
-    if gtk_version:
-        if version.LooseVersion(gtk_version) >= version.LooseVersion('2.10.0'):
-            have_gtk_210 = True
-    else:
-        gtk_version = 'Unknown'
-    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=False)
+    conf.check_cfg(package='glib-2.0', atleast_version='2.16.0', uselib_store='GLIB',
+        mandatory=True, args='--cflags --libs')
+    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
+    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
+    conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
 
     # Windows specials
     if is_win32:
@@ -233,9 +210,41 @@
     # Scintilla flags
     conf.env.append_value('CFLAGS', ['-DGTK'])
     conf.env.append_value('CXXFLAGS',
-        ['-DNDEBUG', '-DGTK', '-DGTK2', '-DSCI_LEXER', '-DG_THREADS_IMPL_NONE'])
+        ['-DNDEBUG', '-DGTK', '-DSCI_LEXER', '-DG_THREADS_IMPL_NONE'])
 
     # summary
     Logs.pprint('BLUE', 'Summary:')
     conf.msg('Install Geany ' + VERSION + ' in', conf.env['PREFIX'])
     conf.msg('Using GTK version', gtk_version)
+    conf.msg('Build with plugin support', conf.options.no_plugins and 'no' or 'yes')
+    conf.msg('Use virtual terminal support', conf.options.no_vte and 'no' or 'yes')
+    conf.msg('GNU regex library', conf.env['USE_INCLUDED_REGEX'] and 'built-in' or 'system')
+    if svn_rev > -1:
+        conf.msg('Compiling Subversion revision', svn_rev)
+
+
+def options(opt):
+    opt.tool_options('compiler_cc')
+    opt.tool_options('compiler_cxx')
+    opt.tool_options('intltool')
+
+    # Features
+    opt.add_option('--disable-plugins', action='store_true', default=False,
+        help='compile without plugin support [default: No]', dest='no_plugins')
+    opt.add_option('--disable-socket', action='store_true', default=False,
+        help='compile without support to detect a running instance [[default: No]',
+        dest='no_socket')
+    opt.add_option('--disable-vte', action='store_true', default=False,
+        help='compile without support for an embedded virtual terminal [[default: No]',
+        dest='no_vte')
+    opt.add_option('--enable-gnu-regex', action='store_true', default=False,
+        help='compile with included GNU regex library [default: No]', dest='gnu_regex')
+    # Paths
+    opt.add_option('--mandir', type='string', default='',
+        help='man documentation', dest='mandir')
+    opt.add_option('--docdir', type='string', default='',
+        help='documentation root', dest='docdir')
+    opt.add_option('--libdir', type='string', default='',
+        help='object code libraries', dest='libdir')
+    # Actions
+    opt.add_option('--hackingdoc', action='store_true', default=False,
