=== debian/changelog ===
geany (0.21.dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * [625a94f] skip potfiles in the patched dir of quilt

 -- Evgeni Golov <evgeni@debian.org>  Thu, 03 May 2012 22:11:21 +0200

geany (0.21.dfsg-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [b70e89e] Fix dversionmangle having two = signs in watch

  [ Evgeni Golov ]
  * [3cbb120] Explicitly depend on GModule
    Closes: #666893
    Upstream: https://github.com/geany/geany/commit/7b2f0fe
  * [c9724db] drop unused --enable-pipe parameter to configure

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Apr 2012 20:08:05 +0200

geany (0.21.dfsg-1) unstable; urgency=low

  * [0c978c1] Change my email to debian.org
  * [6474558] Imported Upstream version 0.21.dfsg (Closes: #654466)
  * [1cbe34d] Add get-orig-source target for dropping waf
  * [19fe20d] Add dversionmangle option to watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 01:50:25 +0800

geany (0.20-1.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Put myself in Uploaders, acked by Damián.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 30 Jul 2011 00:09:20 +0200
