=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz

opts=dversionmangle=s/\.dfsg\.\d+$// \
http://download.geany.org/geany-(.*)\.tar\.gz
