## geany 1.22+dfsg

=== wscript ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # WAF build script - this file is part of Geany, a fast and lightweight IDE
 #
-# Copyright 2008-2011 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2008-2011 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+# Copyright 2008-2012 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2008-2012 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,8 +18,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-#
-# $Id: wscript 5982 2011-10-02 10:59:22Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -44,16 +42,17 @@
 import sys
 import os
 import tempfile
-from distutils import version
 from waflib import Logs, Options, Scripting, Utils
 from waflib.Configure import ConfigurationContext
-from waflib.Errors import ConfigurationError, WafError
+from waflib.Errors import WafError
 from waflib.TaskGen import feature
 
 
 APPNAME = 'geany'
-VERSION = '0.21'
+VERSION = '1.22'
 LINGUAS_FILE = 'po/LINGUAS'
+MINIMUM_GTK_VERSION = '2.16.0'
+MINIMUM_GLIB_VERSION = '2.20.0'
 
 top = '.'
 out = '_build_'
@@ -69,7 +68,7 @@
     'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
     'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
     'tagmanager/make.c', 'tagmanager/markdown.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c',
-    'tagmanager/nestlevel.c', 'tagmanager/options.c',
+    'tagmanager/nestlevel.c', 'tagmanager/objc.c', 'tagmanager/options.c',
     'tagmanager/parse.c', 'tagmanager/pascal.c', 'tagmanager/r.c',
     'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
     'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
@@ -85,7 +84,7 @@
     'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
     'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
     'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
-    'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
+    'src/highlighting.c', 'src/keybindings.c',
     'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
     'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
     'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
@@ -94,7 +93,6 @@
     'src/ui_utils.c', 'src/utils.c'])
 
 
-
 def configure(conf):
 
     conf.check_waf_version(mini='1.6.1')
@@ -108,19 +106,9 @@
     conf.check_cc(header_name='sys/time.h', mandatory=False)
     conf.check_cc(header_name='sys/types.h', mandatory=False)
     conf.check_cc(header_name='sys/stat.h', mandatory=False)
-    conf.define('HAVE_STDLIB_H', 1) # are there systems without stdlib.h?
-    conf.define('STDC_HEADERS', 1) # an optimistic guess ;-)
-
-    if conf.options.gnu_regex:
-        _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
-        _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)
-    else:
-        try:
-            conf.check_cc(header_name='regex.h')
-            conf.check_cc(function_name='regcomp', header_name='regex.h')
-        except ConfigurationError:
-            _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
-            _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)
+    conf.define('HAVE_STDLIB_H', 1)  # are there systems without stdlib.h?
+    conf.define('STDC_HEADERS', 1)  # an optimistic guess ;-)
+    _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
@@ -141,9 +129,11 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', uselib_store='GTK',
+    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
-    conf.check_cfg(package='glib-2.0', atleast_version='2.16.0', uselib_store='GLIB',
+    conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
+        mandatory=True, args='--cflags --libs')
+    conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
     gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
@@ -179,7 +169,7 @@
         _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
         _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)
 
-    svn_rev = _get_svn_rev(conf)
+    revision = _get_git_rev(conf)
 
     conf.define('ENABLE_NLS', 1)
     conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
@@ -189,7 +179,7 @@
     conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
     conf.define('PACKAGE', APPNAME, quote=True)
     conf.define('VERSION', VERSION, quote=True)
-    conf.define('REVISION', str(svn_rev), quote=True)
+    conf.define('REVISION', revision or '-1', quote=True)
 
     conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)
 
@@ -205,7 +195,7 @@
 
     # some more compiler flags
     conf.env.append_value('CFLAGS', ['-DHAVE_CONFIG_H'])
-    if svn_rev > -1:
+    if revision is not None:
         conf.env.append_value('CFLAGS', ['-g', '-DGEANY_DEBUG'])
     # Scintilla flags
     conf.env.append_value('CFLAGS', ['-DGTK'])
@@ -218,9 +208,8 @@
     conf.msg('Using GTK version', gtk_version)
     conf.msg('Build with plugin support', conf.options.no_plugins and 'no' or 'yes')
     conf.msg('Use virtual terminal support', conf.options.no_vte and 'no' or 'yes')
-    conf.msg('GNU regex library', conf.env['USE_INCLUDED_REGEX'] and 'built-in' or 'system')
-    if svn_rev > -1:
-        conf.msg('Compiling Subversion revision', svn_rev)
+    if revision is not None:
+        conf.msg('Compiling Git revision', revision)
 
 
 def options(opt):
@@ -237,8 +226,6 @@
     opt.add_option('--disable-vte', action='store_true', default=False,
         help='compile without support for an embedded virtual terminal [[default: No]',
         dest='no_vte')
-    opt.add_option('--enable-gnu-regex', action='store_true', default=False,
-        help='compile with included GNU regex library [default: No]', dest='gnu_regex')
     # Paths
     opt.add_option('--mandir', type='string', default='',
         help='man documentation', dest='mandir')
@@ -248,3 +235,22 @@
         help='object code libraries', dest='libdir')
     # Actions
     opt.add_option('--hackingdoc', action='store_true', default=False,
+        help='generate HTML documentation from HACKING file', dest='hackingdoc')
+
+
+def build(bld):
+    is_win32 = _target_is_win32(bld)
+
+    if bld.cmd == 'clean':
+        _remove_linguas_file()
+    if bld.cmd in ('install', 'uninstall'):
+        bld.add_post_fun(_post_install)
+
+    def build_plugin(plugin_name, install=True):
+        if install:
+            instpath = '${PREFIX}/lib' if is_win32 else '${LIBDIR}/geany'
+        else:
+            instpath = None
+
+        bld.new_task_gen(
+            features                = ['c', 'cshlib'],
