=== debian/changelog ===
geany (1.22+dfsg-2ubuntu1) raring; urgency=low

  * debian/patches/git_build_with_latest_glib.patch:
    - Backport patch from 1.23 to fix build failure with glib 2.36

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Apr 2013 21:00:25 -0400

geany (1.22+dfsg-2) unstable; urgency=low

  * [dd3393d] Bump geany-plugins-common breaks version.
    0.21 was the version in which the use of geany-abi-$ABI was added to both
    packages.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Jun 2012 21:57:22 +0800

geany (1.22+dfsg-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * Import 20_use_x_terminal_emulator.patch from Ubuntu (Closes: #670510)
  * Fix dversionmangle in debian/watch

  [ Evgeni Golov ]
  * use +dfsg instead of .dfsg for the version, thanks lintian
  * Imported Upstream version 1.22+dfsg
  * drop 20_explicitly_depend_on_gmodule.patch
  * refresh patches against 1.22
  * Standards-Version: 3.9.3
  * Build-Depends: debhelper (>= 9)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jun 2012 20:35:02 +0200
