=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: geany
 Section: devel
 Priority: optional
-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 8.9.0~), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Standards-Version: 3.9.3
 
 Package: geany
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Provides: ${geany:Provides}
-Breaks: geany-plugins-common (<< 0.19)
+Breaks: geany-plugins-common (<< 0.21)
 Suggests: libvte9, doc-base
 Description: fast and lightweight IDE
  Geany is a small and lightweight integrated development environment.
