=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\.dfsg)?.*$$/\1/p')
-dfsg_version = $(upstream_version).dfsg
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 get-orig-source:
